# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/net/bluetooth/qcom,qca9377-bt.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Qualcomm QCA9377 Bluetooth

maintainers:
  - Balakrishna Godavarthi <quic_bgodavar@quicinc.com>
  - Rocky Liao <quic_rjliao@quicinc.com>

properties:
  compatible:
    enum:
      - qcom,qca9377-bt

  clocks:
    items:
      - description: External low-power 32.768 kHz clock input

  enable-gpios:
    maxItems: 1

  vddio-supply:
    description: VDD_IO supply regulator handle

  vddxo-supply:
    description: VDD_XO supply regulator handle

required:
  - compatible
  - clocks
  - enable-gpios

allOf:
  - $ref: bluetooth-controller.yaml#
  - $ref: qcom,bluetooth-common.yaml
  - $ref: /schemas/serial/serial-peripheral-props.yaml#

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>

    serial {
        bluetooth {
            compatible = "qcom,qca9377-bt";
            clocks = <&rk809 1>;
            enable-gpios = <&gpio3 5 GPIO_ACTIVE_HIGH>;
            max-speed = <2000000>;
            pinctrl-names = "default";
            pinctrl-0 = <&bt_enable>;
            vddio-supply = <&vcc_1v8>;
            vddxo-supply = <&vcc3v3_sys>;
        };
    };
